%define name 	bluez-pin
%define version 0.30
%define release %mkrel 6

Summary: 	Bluetooth PIN GUI
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.bluez.org/
License: 	GPLv2+
Group: 		Communications
Source0: 	ftp://gpe.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick gtk2-devel libglade2.0-devel libGConf2-devel
BuildRequires:	libbluez-devel
BuildRequires:  dbus-glib-devel >= 0.50
BuildRequires:	perl-XML-Parser

%description
A GTK+ helper app for entering a Bluetooth PIN.

%prep
%setup -q

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluez-pin 10

%postun
[ $1 != 0 ] && exit 0
update-alternatives --remove bluepin /usr/bin/bluez-pin

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog 
%_bindir/%name
%config %_sysconfdir/dbus*/*
%_datadir/pixmaps/*
%_datadir/%name



%changelog
* Sun Sep 09 2007 Adam Williamson <awilliamson@mandriva.com> 0.30-6mdv2008.0
+ Revision: 83193
- rebuild for 2008
- Fedora license policy


* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 0.30-5mdv2007.0
+ Revision: 107671
- drop bluez-pin xinit.d script, the dbus support is outdated
- Import bluez-pin

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 0.30-4mdv2007.0
- fix buildrequires

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 0.30-3mdv2007.0
- fix buildrequires

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.30-2mdv2007.0
- try again

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.30-1mdv2007.0
- 0.30

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.26-5mdv2007.0
- Rebuild with latest dbus

* Sat Jun 17 2006 Austin Acton <austin@mandriva.org> 0.26-1mdv2007.0
- Rebuild

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.26-3mdk
- rebuild for new dbus on x86_64 too

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.26-2mdk
- Rebuild with latest dbus

* Sat Oct 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.26-1mdk
- Release 0.26
- Patch0 (Fedora): use new dbus API

* Sat Apr 30 2005 Nicolas Lecureuil <neoclust@mandriva.org> 0.25-1mdk
- New release 0.25

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- New release 0.24
- Remove patch0 (merged upstream)

* Sat Aug 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-4mdk
- Patch0: API fix for D-Bus 0.22

* Mon Aug 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.23-3mdk
- add BuildRequires: libbluez-devel

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-2mdk
- Add xinit autostart for dbus helper
- Fix alternative install (people upgrading for previous release needs to 
re-register alternative)

* Sat Jul 10 2004 Austin Acton <austin@mandrake.org> 0.23-1mdk
- 0.23

